> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.wisboo.com/wisboo-api/users/update-user-email/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.wisboo.com/_mcp/server. # Update user email PUT https://api.wisboo.com/v1/stores/{store_id}/users/{id}/email Content-Type: application/json Actualiza el email de un usuario. El cambio se aplica de inmediato — no se envía ningún email de confirmación a la dirección anterior ni a la nueva. Devuelve `200 OK` con cuerpo vacío en caso de éxito. Devuelve `422` si el email ya está en uso o es inválido. Reference: https://docs.wisboo.com/wisboo-api/users/update-user-email ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `store_id` (string, required) — ID de la cuenta - `id` (string, required) — ID de usuario ### Body (application/json) This endpoint expects an object. - `email` (string, optional) ## Response ### 200 Successful request ## Errors ### 400 Bad Request Error Missing email - `type` (string, optional) - `code` (string, optional) - `message` (string, optional) - `details` (V1StoresStoreIdUsersIdEmailPutResponsesContentApplicationJsonSchemaDetails, optional) - `timestamp` (datetime, optional) - `request_id` (string, optional) - `log_id` (string, optional) ### 422 Unprocessable Entity Error Invalid email - `type` (string, optional) - `code` (string, optional) - `message` (string, optional) - `details` (list of V1StoresStoreIdUsersIdEmailPutResponsesContentApplicationJsonSchemaDetailsItems, optional) - `timestamp` (datetime, optional) - `request_id` (string, optional) - `log_id` (string, optional) ## Types ### V1StoresStoreIdUsersIdEmailPutResponsesContentApplicationJsonSchemaDetails - `field` (string, optional) - `explanation` (string, optional) ### V1StoresStoreIdUsersIdEmailPutResponsesContentApplicationJsonSchemaDetailsItems - `field` (string, optional) - `value` (string, optional) - `explanation` (string, optional) ## Examples **Request** ```json { "email": "new_email@example.com" } ``` **Response** ```json {} ``` **SDK Code** ```python Users_updateUserEmail_example import requests url = "https://api.wisboo.com/v1/stores/:store_id/users/id/email" payload = { "email": "new_email@example.com" } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.put(url, json=payload, headers=headers) print(response.json()) ``` ```javascript Users_updateUserEmail_example const url = 'https://api.wisboo.com/v1/stores/:store_id/users/id/email'; const options = { method: 'PUT', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{"email":"new_email@example.com"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Users_updateUserEmail_example package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.wisboo.com/v1/stores/:store_id/users/id/email" payload := strings.NewReader("{\n \"email\": \"new_email@example.com\"\n}") req, _ := http.NewRequest("PUT", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Users_updateUserEmail_example require 'uri' require 'net/http' url = URI("https://api.wisboo.com/v1/stores/:store_id/users/id/email") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Put.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"email\": \"new_email@example.com\"\n}" response = http.request(request) puts response.read_body ``` ```java Users_updateUserEmail_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.put("https://api.wisboo.com/v1/stores/:store_id/users/id/email") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"email\": \"new_email@example.com\"\n}") .asString(); ``` ```php Users_updateUserEmail_example request('PUT', 'https://api.wisboo.com/v1/stores/:store_id/users/id/email', [ 'body' => '{ "email": "new_email@example.com" }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp Users_updateUserEmail_example using RestSharp; var client = new RestClient("https://api.wisboo.com/v1/stores/:store_id/users/id/email"); var request = new RestRequest(Method.PUT); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"email\": \"new_email@example.com\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift Users_updateUserEmail_example import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = ["email": "new_email@example.com"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.wisboo.com/v1/stores/:store_id/users/id/email")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PUT" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```